require "panoramix/external"
require "panoramix/plugin/docker_image"
require "panoramix/plugin/docker_build"
require "panoramix/plugin/docker_up"
require "panoramix/plugin/cfn"
require "panoramix/plugin/env"
require "panoramix/dsl"
require "panoramix/panoramix_core"
require "panoramix/tasks/actions"
require "panoramix/tasks/task_mpi"
require "panoramix/tasks/global_tasks"
require "rake/clean"
require 'git'
require 'colorize'
require 'pry'
require 'erb'

Panoramix::MPI.initialize
Panoramix::TIMESTAMP = Hash.new
Panoramix::Tasks::GlobalTasks.define_tasks
Panoramix::Tasks::MpiInfo.define_tasks
Panoramix::Tasks::MpiGen.define_task

Rake::Task.tasks.select{|t| t.name == "clobber"}.first.instance_variable_set(:@prerequisites,[])
